#
# spec file for package cross-s390-binutils (Version 2.10.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         cross-s390-binutils
Copyright:    LGPL/GPL
Group:        Development/Tools
Prefix:	      /opt/cross
Autoreqprov:  off
Version:      2.10.1
Release:      115
Summary:      GNU binutils for cross-development to s390
Source:       ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.gz
Source390:    binutils-2.10-s390.tar.gz
Source3901:   binutils-pic16.tar.gz
BuildRoot:    %{_tmppath}/cross-x86-binutils

%description
Cross development utilities: ar, as, gasp, gprof, ld, nm, objcopy,
objdump, ranlib, size, strings and strip for s390

SuSE series: d

%define HOST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/")-suse-linux
%define TARGET s390-suse-linux-gnu
%prep
%setup -n binutils-%{version} -b 390 -b 3901
sed 's/-ibm/-suse/' ../binutils-2.10-s390.diff | patch -p1
patch -p1 -E < ../binutils-pic16.diff

%build
# don't call autoconf, s390 patches the generated files, not the .in files
CFLAGS="${RPM_OPT_FLAGS}" CC=gcc LDFLAGS="-s"		\
	./configure --prefix=%{prefix}			\
		--disable-shared			\
		--with-gnu-ld --with-gnu-as		\
		--host=%{HOST} --target=%{TARGET}
make all

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/%{TARGET}-*
strip $RPM_BUILD_ROOT%{prefix}/%{TARGET}/bin/*
rm -rf $RPM_BUILD_ROOT%{prefix}/man
rm -rf $RPM_BUILD_ROOT%{prefix}/lib
rm -rf $RPM_BUILD_ROOT%{prefix}/include
rm $RPM_BUILD_ROOT%{prefix}/bin/%{TARGET}-c++filt
#chmod a+x $RPM_BUILD_ROOT%{_libdir}/libbfd-*
#chmod a+x $RPM_BUILD_ROOT%{_libdir}/libopcodes-*
strip $RPM_BUILD_ROOT%{prefix}/bin/*
$RPM_BUILD_ROOT%{prefix}/%{TARGET}/bin/as -h

%files
%{prefix}

%changelog -n cross-arm-binutils
* Mon Jan 22 2001 - uli@suse.de
- update -> CVS 2001/01/18
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Fri Dec 22 2000 - uli@suse.de
- initial package based on cross-ppc-binutils
%changelog -n cross-ppc-binutils
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Sat Nov 25 2000 - peterb@suse.de
- Added $RPM_BUILD_ROOT before names of directories removed
- toward the end of the install section. Also remove the file
- powerpc-linux-c++filt as it is supplied by gcc package.
* Fri Nov 24 2000 - peterb@suse.de
- Initial creation
%changelog -n cross-s390-binutils
* Wed Mar 21 2001 - bk@suse.de
- fixed package name to cross-s390-binutils
- reformatted configure and added simple executable test in %%install
* Wed Mar 21 2001 - bk@suse.de
- copied from cross-s390x-binutils.spec
%changelog -n cross-x86-binutils
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Sat Nov 25 2000 - peterb@suse.de
- Added $RPM_BUILD_ROOT before names of directories removed
- toward the end of the install section. Also remove the file
- i386-linux-c++filt as it is supplied by gcc package.
* Fri Nov 24 2000 - peterb@suse.de
- Initial creation
